# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`mining_rigger`](#mining_rigger): Installs the depedencies for both the server and client.
* [`mining_rigger::client`](#mining_rigger--client): Manages the Mining Rigger Client.
* [`mining_rigger::server`](#mining_rigger--server): Manages the Mining Rigger Server.

## Classes

### <a name="mining_rigger"></a>`mining_rigger`

Installs the depedencies for both the server and client.

#### Parameters

The following parameters are available in the `mining_rigger` class:

* [`manage_python`](#-mining_rigger--manage_python)

##### <a name="-mining_rigger--manage_python"></a>`manage_python`

Data type: `Boolean`

If true, uses the system packages for installing python and false if this module
should not manage python.

Default value: `true`

### <a name="mining_rigger--client"></a>`mining_rigger::client`

Manages the Mining Rigger Client.

#### Parameters

The following parameters are available in the `mining_rigger::client` class:

* [`client_user`](#-mining_rigger--client--client_user)
* [`client_password`](#-mining_rigger--client--client_password)
* [`miner`](#-mining_rigger--client--miner)
* [`minute`](#-mining_rigger--client--minute)
* [`src_url`](#-mining_rigger--client--src_url)
* [`version`](#-mining_rigger--client--version)
* [`server_url`](#-mining_rigger--client--server_url)
* [`python`](#-mining_rigger--client--python)

##### <a name="-mining_rigger--client--client_user"></a>`client_user`

Data type: `String`

The username of the client to connect to the server.

##### <a name="-mining_rigger--client--client_password"></a>`client_password`

Data type: `String`

The user's password to connect to the server.

##### <a name="-mining_rigger--client--miner"></a>`miner`

Data type: `String`

The name of the miner used on this rig.
Valid Values: trex and kawpowminer

##### <a name="-mining_rigger--client--minute"></a>`minute`

Data type: `Integer`

How often the client should be run to checkin with the server.

Default value: `5`

##### <a name="-mining_rigger--client--src_url"></a>`src_url`

Data type: `String`

The URL that contains the source which should be a git repository.

Default value: `'git://bitbucket.org/monkygames/miningriggerclient.git'`

##### <a name="-mining_rigger--client--version"></a>`version`

Data type: `String`

The tag or branch of the git repository that should be deployed.

Default value: `'main'`

##### <a name="-mining_rigger--client--server_url"></a>`server_url`

Data type: `String`

The url to the server

##### <a name="-mining_rigger--client--python"></a>`python`

Data type: `String`

The command to use for running python.

Default value: `'python3'`

### <a name="mining_rigger--server"></a>`mining_rigger::server`

Manages the Mining Rigger Server.

#### Parameters

The following parameters are available in the `mining_rigger::server` class:

* [`port`](#-mining_rigger--server--port)
* [`src_url`](#-mining_rigger--server--src_url)
* [`version`](#-mining_rigger--server--version)
* [`admin_username`](#-mining_rigger--server--admin_username)
* [`admin_password`](#-mining_rigger--server--admin_password)
* [`admin_email`](#-mining_rigger--server--admin_email)
* [`manage_python`](#-mining_rigger--server--manage_python)
* [`python`](#-mining_rigger--server--python)

##### <a name="-mining_rigger--server--port"></a>`port`

Data type: `Integer`

The port the server should listen on.

Default value: `8000`

##### <a name="-mining_rigger--server--src_url"></a>`src_url`

Data type: `String`

The URL that contains the source which should be a git repository.

Default value: `'git://bitbucket.org/monkygames/miningriggerserver.git'`

##### <a name="-mining_rigger--server--version"></a>`version`

Data type: `String`

The tag or branch of the git repository that should be deployed.

Default value: `'main'`

##### <a name="-mining_rigger--server--admin_username"></a>`admin_username`

Data type: `String`

The admin user account for the server.

Default value: `'admin'`

##### <a name="-mining_rigger--server--admin_password"></a>`admin_password`

Data type: `String`

The admin's password.

Default value: `'admin'`

##### <a name="-mining_rigger--server--admin_email"></a>`admin_email`

Data type: `String`

The email address of the admin.

Default value: `'nobody@nobody.com'`

##### <a name="-mining_rigger--server--manage_python"></a>`manage_python`

Data type: `Boolean`

If true, uses the system packages for installing python and false if this module
should not manage python.

Default value: `true`

##### <a name="-mining_rigger--server--python"></a>`python`

Data type: `String`

The command to use for running python.

Default value: `'python3'`

