# @summary Installs the depedencies for both the server and client.
#
# @param manage_python
#   If true, uses the system packages for installing python and false if this module
#   should not manage python.
#
class mining_rigger (
  Boolean $manage_python = true,
) {
  # the root for both the server and client
  $root = '/opt/mining_rigger'
  $user = 'miningrigger'
  $client_root = "${root}/client"
  $server_root = "${root}/server"
  $pipenv      = "${root}/.local/bin/pipenv"

  user { $user:
    home       => $root,
    managehome => false,
  }

  file { $root:
    ensure  => directory,
    owner   => $user,
    group   => $user,
    mode    => '0755',
    require => User[$user],
  }

  if $manage_python {
    # setup python 3
    $packages = ['python3','python3-pip','git']
  } else {
    $packages = ['git']
  }

  ensure_packages($packages)

  exec { 'install_pipenv':
    command => '/usr/bin/pip3 install pipenv',
    user    => $user,
    creates => "${root}/.cache/pipenv",
    require => [Package[$packages],File[$root],User[$user]],
  }
}
